1 Reply Latest reply on Oct 5, 2015 11:48 AM by jonathan_intel

    5300AGN Linux > eeprom too old

    XtremeFTW

      Hi, I'm having a problem with my 5300AGN under linux. it states eeprom is too old.

       

      Can someone help me fix this?

       

      Modify the eeprom?

       

      Thanks

        • 1. Re: 5300AGN Linux > eeprom too old
          jonathan_intel

          Hello XtremeFTW,

           

          If your system reports the message "Unsupported (too old) EEPROM" it means that the firmware of the adapter is not supported by the driver in the Linux kernel being used.

           

          In Linux, the Intel® Wi-Fi Products such as the Intel® Wireless WiFi Link 5300AGN require two components: the drivers which are part of the upstream Linux kernel; and the Firmware that usually ships with your distribution, you can make sure you are using the latest version by checking in the following location:

           

          Intel® Wi-Fi Products — Linux* Support for Intel® Wi-Fi Adapters


          Please consider that the drivers and firmware for Intel® WiFi Products are provided by the open source Linux community, so you can find more information about Linux support for your adapter in the following link:

           

          https://wireless.wiki.kernel.org/en/users/Drivers/iwlwifi

           

          I would like to add that there is a known issue with Engineering Samples that may cause this type of behavior. Intel wireless adapters are mean to be installed by the Computer Manufacturer, or their authorized representative. Installing or upgrading the various Intel® Wireless Adapters by end users is not supported by Intel.

           

          In some cases, end users may buy the adapters from unreliable sources that sell engineering samples instead of retail units, the Linux driver may not support engineering samples since they are not meant to be sold to the public. For more information, please check the following links from external forums:

           

          Intel Wi-Fi: Unsupported (too Old) EEPROM - Hard Answers

          http://forums.fedoraforum.org/showthread.php?t=254293

           

          *NOTE: These links are being offered for your convenience and should not be viewed as an endorsement by Intel of the content, products, or services offered there.